Subject: Re: bug#26455: Emacs Packaging

From: Muto <[email-masked]>
Date: Sun, 16 Apr 2017 06:25:59 +0200 (CEST)

Sorry for the late reply, been thinking it over.
I have to say I completely agree with you, to keep all the libraries up to date inside a .appimage package would be awkward to maintain.
Perhaps I'll write a tool to help simplify this method someday.

So about installing Emacs (the latest version), maybe have a list off packages the user needs for it, at least the packages that aren't usually installed by default, on the "Download" page?

e.g.:
To install Emacs from source, make sure you have the following packages installed:
build-essential texinfo libx11-dev libxpm-dev libjpeg-dev libpng-dev libgif-dev libtiff-dev libgtk2.0-dev libncurses-dev libxpm-dev automake autoconf
Then simply "./configure" "make" "make install"

Although, I'm not sure, many package names are different by other GNU/Linux distributions.
Sorry for the long letter, I'm sure you're really busy, but thank you for your time.

- -Stay paranoid. -Muto
https://mastodon.social/@MutoShack

12. Apr 2017 13:44 by [email-masked]:

>
> PS If these technologies take off, this perhaps feels like something
> that should be addressed at the GNU level rather than the Emacs level.
> (Perhaps guix already provides some version of this?)